/* Variables
-------------------------------------------------- */

:root {
    --blue: #0d6efd;
    --main-color-brand: #171717;
    --secondary-color-brand: #044175;
    --secondary-color-brand-hover: #03345e;
    --third-color-brand: #f1b536; /* Yellow */
    --third-color-brand-light: #ddb64b; /* Light Yellow */
    --third-color-brand-hover: #ffb81f;
    --button-color: #b9962c;
    --button-color-hover: #e8b61c;
    --light-blue-brand: #eaf1fe;
    --light-blue-brand-hover: #d4e7fd;
    --footer-background: #044175;
    --footer-bar-background: #394f1e;
    --red: #dc3545;
    --white: #f1f1f1;
    --black: #333333;
    --gray: #ededed;
    --light-gray: #f7f5ef;
}

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin: 0;
    font-family: "Karla","Helvetica Neue", helvetica, arial, sans-serif;
}

.bebas-neue-regular {
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
    font-style: normal;
}


#loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    background-color: rgba(255, 255, 255, 0.9); /* Optional light overlay */
    z-index: 9999; /* Ensure it’s above all content */
}

.growing-rings {
    position: relative;
    width: 80px;
    height: 80px;
}

.growing-rings div {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 4px solid var(--secondary-color-brand);
    border-radius: 50%;
    animation: grow-and-shrink 1.5s infinite;
}

.growing-rings div:nth-child(1) {
    border-color: var(--secondary-color-brand-hover);
    animation-delay: -0.75s;
}

@keyframes grow-and-shrink {
    0% {
        transform: scale(0.3);
        opacity: 0.3;
    }
    50% {
        transform: scale(1);
        opacity: 1;
    }
    100% {
        transform: scale(0.3);
        opacity: 0.3;
    }
}


h1, h2, h3, h5 {
    color: var(--black);
    font-weight: 700;
}

.main-title h1 {
    color: var(--main-color-brand);
    margin-bottom: 0;
}

.main-title p {
    font-size: 15pt;
}

.main-title span {
    color: var(--secondary-color-brand);
}

.field-validation-error {
    font-size: 11pt;
    color: var(--red);
}

small {
    font-size: 15pt;
}

a {
    color: var(--main-color-brand);
    text-decoration: none;
    transition: ease 0.4s;
    -webkit-transition: ease 0.4s;
}

a:hover {
    color: var(--third-color-brand);
    transition: ease 0.4s;
    -webkit-transition: ease 0.4s;
}

a.variantAnchor {
    color: var(--third-color-brand);
}

a.variantAnchor:hover {
    color: var(--third-color-brand-hover);
}

a.variantAnchorBrand {
    color: var(--secondary-color-brand);
}

a.variantAnchorBrand:hover {
    color: var(--secondary-color-brand-hover);
}

i {
    color: var(--third-color-brand);
}

.bg-primary {
    background-color: var(--secondary-color-brand) !important;
}

.border-primary {
    border-color: var(--secondary-color-brand) !important;
}

.text-primary {
    color: var(--secondary-color-brand) !important;
}

.btn-outline-primary {
    color: var(--secondary-color-brand) !important;
    border-color: var(--secondary-color-brand) !important;
    background-color: var(--light-blue-brand) !important;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px 5px 5px 5px;
    padding: 5px 20px;
}

.btn-outline-primary:hover {
    background-color: var(--light-blue-brand-hover) !important;
}

.btn-primary {
    background-color: var(--secondary-color-brand) !important;
    border-color: var(--secondary-color-brand) !important;
    color: var(--white) !important;
    font-size: 16px;
    font-weight: 400;
    border-radius: 20px;
    padding: 5px 20px;
}

.btn-primary:hover {
    border-color: var(--secondary-color-brand-hover) !important;
    background-color: var(--secondary-color-brand-hover) !important;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
  
}

.width100 {
    width: 100%;
}

.width80 {
    width: 80%;
}

.width50 {
    width: 50%;
}

.justify-items-end {
    justify-items: end;
}

/* Paddings
-------------------------------------------------- */

.pl-0 {
    padding-left: 0 !important;
}

.pl-10 {
    padding-left: 10px !important;
}

.pr-0 {
    padding-right: 0 !important;
}

.pr-10 {
    padding-right: 10px !important;
}

.pt-10 {
    padding-top: 10px;
}

.tool-padding {
    padding: 4.5rem 0 2.5rem 0;
}

/* Margins
-------------------------------------------------- */

.ml-0 {
    margin-left: 0 !important;
}

.ml-10 {
    margin-left: 10px !important;
}

.ml-5 {
    margin-left: 5px !important;
}

.mr-0 {
    margin-right: 0 !important;
}

.mr-10 {
    margin-right: 10px !important;
}

.mr-5 {
    margin-right: 5px !important;
}

/* Spinner
-------------------------------------------------- */

.small-spinner {
    width: 1.5rem;
    height: 1.5rem;
}

/* Footer
-------------------------------------------------- */

footer {
    text-align: center;
    background-color: var(--footer-background);
}

footer {
    padding: 30px 0;
}

footer h3 {
    text-transform: uppercase;
    color: var(--white);
    margin-bottom: 0;
    font-size: 25pt;
}

footer ul {
    list-style: none;
    margin-bottom: 16px;
    padding-left: 0;
}

footer ul li {
    color: var(--white);
    line-height: 21pt;
}

footer ul li i {
    padding-right: 10px;
    font-size: 13pt;
}

footer .border-footer {
    border: 2px solid var(--footer-bar-background);
    width: 50%;
    margin-right: 48px;
}

footer p {
    color: var(--white);
    font-size: 14pt;
}

footer p.copywrite {
    font-size: 12pt;
    margin-bottom: 0;
}

footer a {
    color: var(--white);
    transition: ease 0.4s;
    -webkit-transition: ease 0.4s;
}

footer i {
    color: var(--white);
}

footer a:hover {
    color: var(--third-color-brand-hover);
    transition: ease 0.4s;
    -webkit-transition: ease 0.4s;
}

footer .container-fluid.bar {
    background-color: var(--footer-bar-background);
    padding: 10px 0;    
}

footer .container-fluid.bar p {
    color: var(--white);
    margin-bottom: 0;
}

/* Home
-------------------------------------------------- */

.products .card {
    width: 40%;
    border-radius: 10px;
    box-shadow: 3px 3px 5px var(--gray);
    margin-bottom: 10px;
    transition: transform 0.5s;
    -webkit-transition: transform 0.5s;
}

.products .card .card-title {
    color: var(--secondary-color-brand);
}

.products a {
    text-decoration: none;
}

.products .card:hover {
    transform: scale(1.03);
    transition: transform 0.5s;
    -webkit-transition: transform 0.5s;
}

.products a.disabled {
    pointer-events: none;
}

.products a.disabled img {
    filter: opacity(0.5);
}

/* NavBar
-------------------------------------------------- */

.navbar {
    
}

.navbar-nav .nav-item {
    margin-right: 15px;
}

.navbar-nav .nav-item .nav-link {
    padding-top: 1px;
    padding-bottom: 1px;
    font-size: 16px;
    font-weight: 400;
    color: var(--main-color-brand) !important;
}

.navbar-nav .nav-item .nav-link:hover {
    color: var(--third-color-brand) !important;
}

.navbar-nav .nav-item .nav-link.active {
    color: var(--third-color-brand) !important;
}

.navbar-collapse {

}

.navbar-nav .nav-item:hover {
    font-weight: 500;
}

.navbar-nav .nav-item:last-child {
    border-right: none;
}

.user-active-bar {
    position: relative;
    background: linear-gradient(90deg, var(--main-color-brand) 85%, var(--third-color-brand)); /* Gradient colors */
    background-size: 200% 100%; /* Allows room for movement inside the gradient */
    animation: gradientMove 10s ease infinite; /* Animates the gradient */
    color: var(--white);
    padding: 12px 0 12px 0;
    z-index: 0; /* Ensure content appears above waves */
    overflow: hidden; /* Keeps content within boundaries */
}

/* Keyframes for horizontal gradient movement */
@keyframes gradientMove {
    0% {
        background-position-x: 0%; /* Starts at leftmost point */
    }
    50% {
        background-position-x: 100%; /* Moves fully to the right */
    }
    100% {
        background-position-x: 0%; /* Returns to the start smoothly */
    }

}


.user-active-bar b {
    font-weight: 600;
}

.user-active-bar p {
    margin: 0;
    font-weight: 400;
    font-size: 14px;
}

/* Cards
-------------------------------------------------- */

.card {
    transition: transform 0.5s;
    -webkit-transition: transform 0.5s;
}

.card:hover {
    transform: scale(1.03);
    transition: transform 0.5s;
    -webkit-transition: transform 0.5s;
}

.card.border-primary {
    border-top: 0;
}

.card .card-header {
    border-top: 2px solid var(--secondary-color-brand-hover);
    border-bottom: none;
    background-color: var(--light-blue-brand);
    padding: 10px 10px !important;
}

.card .card-header.bg-primary {
    border-top: 2px solid var(--third-color-brand);
}

.card .card-body ul li {
    font-size: 15px;
}

.card .card-header span {
    position: absolute;
    top: -10px;
    right: 12px;
    font-size: 13px;
    background-color: var(--third-color-brand);
    border-radius: 6px;
    padding: 1px 10px;
    font-weight: 600;
    color: var(--main-color-brand);
}

/* Grid Containers
-------------------------------------------------- */

.grid-container {
    display: grid;
    grid-template-columns: 33% 33% auto;
    grid-gap: 10px;
}

.grid-container-2 {
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 10px;
}

.grid-container .first-two-columns {
    grid-column: 1 / 3;
}

.grid-container .last-two-columns {
    grid-column: 2 / 4;
}

.pricing .grid-container {
    grid-template-columns: auto auto;
    grid-gap: 3px;
    padding: 0 20px;
    font-size: 15px;
}

.pricing .grid-container-head {
    padding-top: 10px;
}

.pricing .grid-container-head h5 {
    font-size: 16px;
    font-weight: 400;
    padding-bottom: 5px;
}

#formTarjeta .grid-container {
    grid-template-columns: auto auto;
}

/* Forms
-------------------------------------------------- */
#formAsegurado .prima span {
    color: var(--secondary-color-brand);
    font-weight: 500;
}

#formPermisoDeConducir .prima span {
    color: var(--main-color-brand);
}

/* Form Pago
-------------------------------------------------- */

.product-summary ul {
    padding-left: 0;
    list-style: none;
}

.product-summary ul li {
    line-height: 29px;
}

.product-summary .prima b {
    color: var(--secondary-color-brand);
    font-size: 27pt;
}

.box-cc {
    box-shadow: 0 0 15px #dedede;
    border-radius: 10px;
}

/* Modals
-------------------------------------------------- */

.modal-header {
    background-color: var(--secondary-color-brand) !important;
}

h5.modal-title {
    color: var(--white) !important;
}

#declaracion-jurada-modal .modal-body p {
    font-size: 15px;
}

.modal-content-custom {
    background: none;
    border: none;
}

.modal-content-custom p {
    color: var(--white);
    font-size: 13pt;
    font-weight: 300;
}

/* Mobile
-------------------------------------------------- */
@media (max-width: 768px) {

    .pt-xs-1 {
        padding-top: 10px !important;
    }

    .pt-xs-2 {
        padding-top: 20px !important;
    }

    .pt-xs-3 {
        padding-top: 30px !important;
    }

    .pt-xs-4 {
        padding-top: 40px !important;
    }

    .pt-xs-5 {
        padding-top: 50px !important;
    }

    .pt-xs-10 {
        padding-top: 100px !important;
    }

    .pt-xs-15 {
        padding-top: 150px !important;
    }

    .navbar-nav .nav-item {
        margin-right: 0;
    }

    .navbar-nav .nav-item div {
        align-items: baseline!important;
    }
    
    .navbar-nav .nav-item .nav-link {
        margin-left: 0.5rem;
    }

    .navbar-brand {
        gap: 15px;
    }

    .navbar-expand-sm {
        /*padding-bottom: 20px;*/
    }

    .navbar-brand img.firstLogo {
        width: 90px;
    }

    .navbar-brand img.secondLogo {
        width: 190px;
    }

    .grid-container, .grid-container-2 {
        display: grid;
        grid-template-columns: auto;
        grid-gap: 10px;
    }

    .grid-container .last-two-columns {
        grid-column: auto;
    }

    .grid-container .first-two-columns {
        grid-column: 1 / 2;
    }

    .pricing .grid-container {
        grid-template-columns: auto auto;
    }

    .products {
        justify-content: center !important;
        gap: 10px;
    }

    .products .card {
        width: 80%;
    }

    .products .card .card-body {
        flex-direction: column;
        align-items: center!important;
        gap: 5px;
    }

    .products a {
        flex: 1 1 100%; /* una por fila en mobile */
        max-width: 100%;
    }

    .products a img {
        width: 70px;
    }
    
    footer ul {
        flex-direction: column;
    }
    
    footer ul li {
        font-size: 12pt;
    }

    footer .border-footer {
        width: 20%;
        margin-right: 0;
    }

    .width-xs-80 {
        width: 80%;
    }

    .width-xs-70 {
        width: 70%;
    }

    .width-xs-50 {
        width: 50%;
    }

    .text-xs-center {
        text-align: center!important;
    }
    
    .justify-items-xs-center {
        justify-items: center!important;
    }
}

/* Mobile
-------------------------------------------------- */
@media (max-width: 1366px) {
    .products {
        justify-content: center !important;
        gap: 0;
    }

    .heroImage {
        position: absolute;
        top: 17%;
        z-index: -1;
        opacity: 0.2;
        overflow: auto;
    }

    .products div.box {
        width: 90%;
    }

    .user-active-bar p {
        text-align: center;
    }

    .navbar-collapse {
        text-align: center;
        margin-top: 10px;
    }
}